
.canvas-container {
    padding: 1rem;
    background-color: white;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    border-radius: 4px;

}

canvas {
    cursor: crosshair;
}


.box-action {
    padding: 2rem;
    background-color: rgba(0, 255, 255, 0.11);
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    width: 20%;
}


.current-pixel-container {
    margin: 1rem;
}
.current-pixel-container p {
    color: white;
    font-weight: lighter;

}


.color-palette-element-container {
    align-self: flex-start;
    width: 0;
    margin: 1rem;
    border-radius: 4px;
}

.color-palette-element{
    width: 40px;
    height: 40px;
    border-radius: 10px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
}

div.color-palette-element:hover {
    cursor: pointer;
    left: -2em;

}

div.color-palette-element:active {
    border: #1976d2 5px solid;
    border-radius: inherit;
}

.color-selected {
    border: #1976d2 3px solid;
    border-radius: inherit;

}

.color-palette {
    display: flex;
    flex-direction: column;
    align-content: flex-start;

}

.palette-container {
}

.box-action-buttons {

}

.box-action-buttons button  {
    margin: 1rem;
    background-color: cadetblue;
}


.canvas-wrapper {
    background-color: antiquewhite;
    display: flex;
    padding: 1rem;
    border-radius: 3px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);

}

.slider {
    -webkit-appearance: none;
    width: 100%;
    height: 25px;
    background: #d3d3d3;
    outline: none;
    opacity: 0.7;
    -webkit-transition: .2s;
    transition: opacity .2s;
}

.slider:hover {
    opacity: 1;
}

.color-info {
    color: white;
    padding: 1rem;
    border-radius: 4px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
}


.upload-image {
    -webkit-appearance: none;
    width: 100%;
    background: #d3d3d3;
    outline: none;
    opacity: 0.7;
    -webkit-transition: .2s;
    transition: opacity .2s;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 25px;
    height: 25px;
    background: #4CAF50;
    cursor: pointer;
}

.slider::-moz-range-thumb {
    width: 25px;
    height: 25px;
    background: #4CAF50;
    cursor: pointer;
}

.table-color{
    padding: .5rem;
    width: 100%;
}

.table-color th {
    background-color: #4CAF50;
}


#table-color-range-values  {
    font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

#table-color-range-values td, #table-color-range-value th {
    border: 1px solid #ddd;
    padding: 8px;
}
#table-color-range-values  tr:nth-child(even){background-color: #f2f2f2;}

#table-color-range-values tr:hover {background-color: #ddd;}

